Create or update a custom tool
curl --request POST \
--url https://tools.runtools.ai/v1/tools/custom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slug": "<string>",
"name": "<string>",
"code": "<string>",
"description": "<string>",
"category": "<string>",
"version": "<string>",
"parametersJson": {},
"credentialsJson": {},
"actionsJson": {}
}
'import requests
url = "https://tools.runtools.ai/v1/tools/custom"
payload = {
"slug": "<string>",
"name": "<string>",
"code": "<string>",
"description": "<string>",
"category": "<string>",
"version": "<string>",
"parametersJson": {},
"credentialsJson": {},
"actionsJson": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slug: '<string>',
name: '<string>',
code: '<string>',
description: '<string>',
category: '<string>',
version: '<string>',
parametersJson: {},
credentialsJson: {},
actionsJson: {}
})
};
fetch('https://tools.runtools.ai/v1/tools/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tools (custom)
Create or update a custom tool
POST
/
v1
/
tools
/
custom
Create or update a custom tool
Authorizations
bearerapiKey
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Body
application/json
Response
Updated.
⌘I